%global momorel 4

Summary: A Qt frontend to Octave
Name: qtoctave
Version: 0.7.4
Release: %{momorel}m%{?dist}
Group: Applications/Engineering
License: GPL
URL: http://qtoctave.wordpress.com/
Source0: https://forja.rediris.es/frs/download.php/744/%{name}-%{version}.tar.gz
NoSource: 0
Patch0: %{name}-%{version}-cmake26.patch
Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: qt octave
Requires: xmlwidget easy_plot
BuildRequires: qt-devel cmake

%description
Besides offering an attractive front-end to GNU Octave, an environment for numerical computation highly compatible with MATLAB, QtOctave currently also features matrix data entry and display and some GUI shortcuts to frequently used Octave functions.

%prep
%setup -q

%patch0 -p1 -b .cmake26

%build
%cmake \
	-DCMAKE_C_FLAGS_RELEASE:STRING="-DNDEBUG" \
	-DCMAKE_CXX_FLAGS_RELEASE:STRING="-DQT_NO_DEBUG" \
	-DCMAKE_SKIP_RPATH:STRING="ON" \
	.

make %{?_smp_mflags}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# install desktop file
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{name}.desktop <<EOF
[Desktop Entry]
Name=QtOctave
GenericName=QtOctave - Qt Frontend to Octave
Comment=QtOctave Qt Frontend to Octave
Exec=qtoctave
Terminal=false
Type=Application
Icon=octave
EOF
# install desktop file
desktop-file-install --vendor= \
    --dir %{buildroot}%{_datadir}/applications \
    --remove-category Application \
    --add-category Science \
    --add-category Math \
    ./%{name}.desktop

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc *.txt
%{_bindir}/*
%{_datadir}/applications/*.desktop
%{_datadir}/%{name}

%changelog
* Tue Jul  8 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.7.4-4m)
- apply cmake26.patch to enable build
- http://groups.google.com/group/qtoctave-english/browse_thread/thread/d807b5f4e6971328

* Sun May 25 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.7.4-3m)
- change Icon of desktop file from %%{_datadir}/octave/KIMEUCHI/imagelib/octave-sombrero.png to octave

* Sun May 11 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.7.4-2m)
- rebuild against qt-4.4.0-1m

* Sat Apr 19 2008 Masayuki SANO <nosanosa@momonga-linux.org>
- (0.7.4-1m)
- import to Momonga
